Page MenuHomePhabricator

tests: avoid grafting the same change over and over
ClosedPublic

Authored by martinvonz on Jan 6 2020, 7:58 PM.

Details

Summary

The test case added in a1381eea7c7d (graft: do not use .remove on a
smart set (regression), 2014-04-28) added a test case that grafted the
same change (renaming 'a' to 'b') three times over. It had description
"graft works on complex revset", but AFACT, all that it cared about
was that some ancestor of the working copy was in the set of revisions
to graft. So this patch changes the test to do that instead.

(I plan to later make it so that grafting these renames on top of each
won't create the empty commits they currently create.)

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 6 2020, 7:58 PM
pulkit accepted this revision.Jan 9 2020, 9:33 AM
This revision is now accepted and ready to land.Jan 9 2020, 9:33 AM
This revision was automatically updated to reflect the committed changes.